Skip to main content
GET
/
v1
/
snapshot-at
/
{ts}
Get Snapshot At
curl --request GET \
  --url https://api.polyquantlab.com/v1/snapshot-at/{ts} \
  --header 'Authorization: Bearer <token>'
{
  "market_id": "0x4a8f31...c2",
  "time": "2026-06-06T03:58:12+00:00",
  "mid_yes": 0.815,
  "spread_yes": 0.01,
  "underlying_price": 109842.5,
  "orderbook_up": {
    "bids": [
      [
        0.81,
        1200
      ]
    ],
    "asks": [
      [
        0.82,
        950
      ]
    ]
  },
  "orderbook_down": {
    "bids": [
      [
        0.18,
        1100
      ]
    ],
    "asks": [
      [
        0.19,
        1300
      ]
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ts
string<date-time>
required

Query Parameters

market_id
string
required

Response

Successful Response

market_id
string
required

Polymarket market identifier (hex 0x…).

time
string<date-time>
required
mid_yes
number<double>
required
spread_yes
number<double>
required
underlying_price
number<double>
required

Current spot price of the underlying coin at this snapshot.

orderbook_up
object
required
orderbook_down
object
required